.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
}

.modal-content {
  max-width: 400px;
  background: #fff;
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  padding: 0px;
}

.modal-header {
  width: 100%;
  background: #20377f;
  color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
}

.close {
  cursor: pointer;
  font-size: 22px;
}

.container-text {
  padding: 15px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}

.servico-item {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start;
}

.icone i {
  font-size: 18px;
}

.container-text {
  padding: 15px;
  font-family: Arial, sans-serif;
  color: #333;
}

.titulo-servicos {
  font-size: 1.2rem;
  font-weight: bold;
  margin-bottom: 20px;
  color: #000;
  border-bottom: 2px solid #eee;
  padding-bottom: 10px;
}

.servico-item {
  margin-bottom: 15px;
}

.servico-item strong {
  display: block;
  font-size: 1rem;
  color: #2c3e50;
  margin-bottom: 5px;
}

/* A lista de subcategorias (Iluminação, Latarias, etc.) */
.subcategorias {
  list-style-type: disc;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-left: 25px;
  margin: 0;
}

.subcategorias li {
  display: list-item !important;
  align-items: flex-start;
  padding-left: 0;
  color: #2c3e50;
  line-height: 1.6;
}

.container-text::-webkit-scrollbar {
  width: 6px;
  display: block !important;
}

.container-text::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 10px;
}

.container-text::-webkit-scrollbar-track {
  background: transparent;
}

#modalServicos {
  display: none; /* Controlado pelo JS */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

@media (max-width: 760px) {
  .modal-content {
    max-width: 300px;
  }
}
